//
// This file is part of Nolimips, a MIPS simulator with unlimited registers
// Copyright (C) 2003, 2004 Benoit Perrot <benoit@lrde.epita.fr>
//
// Nolimips is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Nolimips is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Nolimips.  If not, see <http://www.gnu.org/licenses/>.
//
#ifndef PARSE_LIBPARSE_HH
# define PARSE_LIBPARSE_HH

# include <string>

extern char *filename;

namespace inst { class Program; }

namespace parse
{

  ::inst::Program* parse(const std::string &fname);

  extern bool trace_scan_p;
  extern bool trace_parse_p;

  extern bool unlimited_regs_p;

  extern bool nop_after_branch_p;

} // namespace parse

#endif // !PARSE_LIBPARSE_HH
