/* A Bison parser, made by GNU Bison 2.4.570-7a582.  */

/* Skeleton implementation for Bison LALR(1) parsers in C++

   Copyright (C) 2002-2011 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */


/* First part of user declarations.  */
/* Line 383 of lalr1.cc  */
#line 1 "asm-parse.yy"
							// -*- C++ -*-
//
// This file is part of Nolimips, a MIPS simulator with unlimited registers
// Copyright (C) 2004, 2005, 2006 Benoit Perrot <benoit@lrde.epita.fr>
//
// Nolimips is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Nolimips is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Nolimips.  If not, see <http://www.gnu.org/licenses/>.
//

//
// WARNING: Generated file, do not edit by hand!
//


#include <string>

#include "common.hh"

#include "inst/label.hh"
#include "inst/program_builder.hh"
#include "inst/exp.hh"
#include "inst/register.hh"
#include "inst/all.hh"

#include "parse/libparse.hh"

using namespace inst;

/* Line 383 of lalr1.cc  */
#line 77 "asm-parse.cc"

#include "asm-parse.hh"

/* User implementation prologue.  */
/* Line 388 of lalr1.cc  */
#line 64 "asm-parse.yy"

#include "parse/asm-scan.hh"

/* Line 388 of lalr1.cc  */
#line 88 "asm-parse.cc"

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* FIXME: INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K].location)
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                               \
 do                                                                    \
   if (N)                                                              \
     {                                                                 \
       (Current).begin = YYRHSLOC (Rhs, 1).begin;                      \
       (Current).end   = YYRHSLOC (Rhs, N).end;                        \
     }                                                                 \
   else                                                                \
     {                                                                 \
       (Current).begin = (Current).end = YYRHSLOC (Rhs, 0).end;        \
     }                                                                 \
 while (false)
#endif

/* Suppress unused-variable warnings by "using" E.  */
#define YYUSE(e) ((void) (e))

/* Enable debugging if requested.  */
#if YYDEBUG

/* A pseudo ostream that takes yydebug_ into account.  */
# define YYCDEBUG if (yydebug_) (*yycdebug_)

# define YY_SYMBOL_PRINT(Title, Symbol)         \
  do {                                          \
    if (yydebug_)                               \
    {                                           \
      *yycdebug_ << Title << ' ';               \
      yy_print_ (*yycdebug_, Symbol);           \
      *yycdebug_ << std::endl;                  \
    }                                           \
  } while (false)

# define YY_REDUCE_PRINT(Rule)		\
  do {					\
    if (yydebug_)                       \
      yy_reduce_print_ (Rule);		\
  } while (false)

# define YY_STACK_PRINT()		\
  do {					\
    if (yydebug_)                       \
      yystack_print_ ();                \
  } while (false)

#else /* !YYDEBUG */

# define YYCDEBUG if (false) std::cerr
# define YY_SYMBOL_PRINT(Title, Symbol)  static_cast<void>(0)
# define YY_REDUCE_PRINT(Rule)           static_cast<void>(0)
# define YY_STACK_PRINT()                static_cast<void>(0)

#endif /* !YYDEBUG */

#define yyerrok         (yyerrstatus_ = 0)
#define yyclearin       (yyempty = true)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYRECOVERING()  (!!yyerrstatus_)


namespace yy {
/* Line 472 of lalr1.cc  */
#line 173 "asm-parse.cc"

  /* Return YYSTR after stripping away unnecessary quotes and
     backslashes, so that it's suitable for yyerror.  The heuristic is
     that double-quoting is unnecessary unless the string contains an
     apostrophe, a comma, or backslash (other than backslash-backslash).
     YYSTR is taken from yytname.  */
  std::string
  parser::yytnamerr_ (const char *yystr)
  {
    if (*yystr == '"')
      {
        std::string yyr = "";
        char const *yyp = yystr;

        for (;;)
          switch (*++yyp)
            {
            case '\'':
            case ',':
              goto do_not_strip_quotes;

            case '\\':
              if (*++yyp != '\\')
                goto do_not_strip_quotes;
              /* Fall through.  */
            default:
              yyr += *yyp;
              break;

            case '"':
              return yyr;
            }
      do_not_strip_quotes: ;
      }

    return yystr;
  }


  /// Build a parser object.
  parser::parser (std::string &filename_yyarg, inst::ProgramBuilder &program_builder_yyarg)
    :
#if YYDEBUG
      yydebug_ (false),
      yycdebug_ (&std::cerr),
#endif
      filename (filename_yyarg),
      program_builder (program_builder_yyarg)
  {
  }

  parser::~parser ()
  {
  }


  /*---------------.
  | Symbol types.  |
  `---------------*/

  inline
  parser::syntax_error::syntax_error (const location_type& l, const std::string& m)
    : std::runtime_error (m)
    , location (l)
  {}

  // symbol_base_type.
  template <typename Exact>
  inline
  parser::symbol_base_type<Exact>::symbol_base_type ()
    : value()
    , location()
  {
  }

  template <typename Exact>
  inline
  parser::symbol_base_type<Exact>::symbol_base_type (const location_type& l)
    : value()
    , location(l)
  {
  }

  template <typename Exact>
  inline
  parser::symbol_base_type<Exact>::symbol_base_type (const semantic_type& v, const location_type& l)
    : value(v)
    , location(l)
  {
  }

  template <typename Exact>
  inline
  const Exact&
  parser::symbol_base_type<Exact>::self () const
  {
    return static_cast<const Exact&>(*this);
  }

  template <typename Exact>
  inline
  Exact&
  parser::symbol_base_type<Exact>::self ()
  {
    return static_cast<Exact&>(*this);
  }

  template <typename Exact>
  inline
  int
  parser::symbol_base_type<Exact>::type_get () const
  {
    return self ().type_get_ ();
  }

  // symbol_type.
  inline
  parser::symbol_type::symbol_type ()
    : super_type ()
    , type ()
  {
  }

  inline
  parser::symbol_type::symbol_type (token_type t, const location_type& l)
    : super_type (l)
    , type (yytranslate_ (t))
  {
  }

  inline
  parser::symbol_type::symbol_type (token_type t, const semantic_type& v, const location_type& l)
    : super_type (v, l)
    , type (yytranslate_ (t))
  {
  }

  inline
  void
  parser::symbol_type::move (symbol_type& s)
  {
    value = s.value;
    type = s.type;
    location = s.location;
  }

  inline
  int
  parser::symbol_type::type_get_ () const
  {
    return type;
  }


  // stack_symbol_type.
  parser::stack_symbol_type::stack_symbol_type ()
    : super_type ()
    , state ()
  {
  }

  parser::stack_symbol_type::stack_symbol_type (state_type s, const semantic_type& v, const location_type& l)
    : super_type (v, l)
    , state (s)
  {
  }

  int
  parser::stack_symbol_type::type_get_ () const
  {
    return yystos_[state];
  }


  template <typename Exact>
  void
  parser::yy_destroy_ (const char* yymsg,
                                       symbol_base_type<Exact>& yysym) const
  {
    int yytype = yysym.type_get ();
    YYUSE (yymsg);
    if (yymsg)
      YY_SYMBOL_PRINT (yymsg, yysym);

    // User destructor.
    switch (yytype)
      {
            case 3: // "label"

/* Line 569 of lalr1.cc  */
#line 76 "asm-parse.yy"
        { delete (yysym.value.id); }
/* Line 569 of lalr1.cc  */
#line 367 "asm-parse.cc"
        break;

            case 4: // "label definition"

/* Line 569 of lalr1.cc  */
#line 77 "asm-parse.yy"
        { delete (yysym.value.id); }
/* Line 569 of lalr1.cc  */
#line 376 "asm-parse.cc"
        break;

            case 6: // "string"

/* Line 569 of lalr1.cc  */
#line 74 "asm-parse.yy"
        { delete (yysym.value.s); }
/* Line 569 of lalr1.cc  */
#line 385 "asm-parse.cc"
        break;

       default:
          break;
      }
  }

#if YYDEBUG
  template <typename Exact>
  void
  parser::yy_print_ (std::ostream& yyo,
                                     const symbol_base_type<Exact>& yysym) const
  {
    int yytype = yysym.type_get ();
    yyo << (yytype < yyntokens_ ? "token" : "nterm")
        << ' ' << yytname_[yytype] << " ("
        << yysym.location << ": ";
    switch (yytype)
      {
            case 5: // "integer"

/* Line 590 of lalr1.cc  */
#line 80 "asm-parse.yy"
        { debug_stream () << (yysym.value.i); }
/* Line 590 of lalr1.cc  */
#line 411 "asm-parse.cc"
        break;

            case 6: // "string"

/* Line 590 of lalr1.cc  */
#line 79 "asm-parse.yy"
        { debug_stream () << *(yysym.value.s); }
/* Line 590 of lalr1.cc  */
#line 420 "asm-parse.cc"
        break;

            case 7: // "register"

/* Line 590 of lalr1.cc  */
#line 79 "asm-parse.yy"
        { debug_stream () << *(yysym.value.reg); }
/* Line 590 of lalr1.cc  */
#line 429 "asm-parse.cc"
        break;

       default:
	  break;
      }
    yyo << ')';
  }
#endif

  void
  parser::yypush_ (const char* m, state_type s,
                                   symbol_type& sym)
  {
    if (m)
      YY_SYMBOL_PRINT (m, sym);
    yystack_.push (stack_symbol_type (s, sym.value, sym.location));
  }

  void
  parser::yypush_ (const char* m, stack_symbol_type& s)
  {
    if (m)
      YY_SYMBOL_PRINT (m, s);
    yystack_.push (s);
  }

  void
  parser::yypop_ (unsigned int n)
  {
    yystack_.pop (n);
  }

#if YYDEBUG
  std::ostream&
  parser::debug_stream () const
  {
    return *yycdebug_;
  }

  void
  parser::set_debug_stream (std::ostream& o)
  {
    yycdebug_ = &o;
  }


  parser::debug_level_type
  parser::debug_level () const
  {
    return yydebug_;
  }

  void
  parser::set_debug_level (debug_level_type l)
  {
    yydebug_ = l;
  }
#endif

  inline parser::state_type
  parser::yy_lr_goto_state_ (state_type yystate, int yylhs)
  {
    int yyr = yypgoto_[yylhs - yyntokens_] + yystate;
    if (0 <= yyr && yyr <= yylast_ && yycheck_[yyr] == yystate)
      return yytable_[yyr];
    else
      return yydefgoto_[yylhs - yyntokens_];
  }

  inline bool
  parser::yy_pact_value_is_default_ (int yyvalue)
  {
    return yyvalue == yypact_ninf_;
  }

  inline bool
  parser::yy_table_value_is_error_ (int yyvalue)
  {
    return yyvalue == yytable_ninf_;
  }

  int
  parser::parse ()
  {
    /// Whether yyla contains a lookahead.
    bool yyempty = true;

    /* State.  */
    int yyn;
    int yylen = 0;

    /* Error handling.  */
    int yynerrs_ = 0;
    int yyerrstatus_ = 0;

    /// The lookahead symbol.
    symbol_type yyla;

    /// The locations where the error started and ended.
    stack_symbol_type yyerror_range[3];

    /// $$ and @$.
    stack_symbol_type yylhs;

    /// The return value of parse().
    int yyresult;

    YYCDEBUG << "Starting parse" << std::endl;


    /* User initialization code.  */
    /* Line 715 of lalr1.cc  */
#line 51 "asm-parse.yy"
{
  yyla.location.begin.filename = yyla.location.end.filename = &filename;
}
/* Line 715 of lalr1.cc  */
#line 547 "asm-parse.cc"

    /* Initialize the stack.  The initial state will be set in
       yynewstate, since the latter expects the semantical and the
       location values to have been already stored, initialize these
       stacks with a primary value.  */
    yystack_ = stack_type (0);
    yypush_ (0, 0, yyla);

    // A new symbol was pushed on the stack.
  yynewstate:
    YYCDEBUG << "Entering state " << yystack_[0].state << std::endl;

    /* Accept?  */
    if (yystack_[0].state == yyfinal_)
      goto yyacceptlab;

    goto yybackup;

    /* Backup.  */
  yybackup:

    /* Try to take a decision without lookahead.  */
    yyn = yypact_[yystack_[0].state];
    if (yy_pact_value_is_default_ (yyn))
      goto yydefault;

    /* Read a lookahead token.  */
    if (yyempty)
      {
        YYCDEBUG << "Reading a token: ";
        yyla.type = yytranslate_ (yylex (&yyla.value, &yyla.location));
        yyempty = false;
      }
    YY_SYMBOL_PRINT ("Next token is", yyla);

    /* If the proper action on seeing token YYLA.TYPE is to reduce or
       to detect an error, take that action.  */
    yyn += yyla.type;
    if (yyn < 0 || yylast_ < yyn || yycheck_[yyn] != yyla.type)
      goto yydefault;

    /* Reduce or error.  */
    yyn = yytable_[yyn];
    if (yyn <= 0)
      {
	if (yy_table_value_is_error_ (yyn))
	  goto yyerrlab;
	yyn = -yyn;
	goto yyreduce;
      }

    /* Discard the token being shifted.  */
    yyempty = true;

    /* Count tokens shifted since error; after three, turn off error
       status.  */
    if (yyerrstatus_)
      --yyerrstatus_;

    /* Shift the lookahead token.  */
    yypush_ ("Shifting", yyn, yyla);
    goto yynewstate;

  /*-----------------------------------------------------------.
  | yydefault -- do the default action for the current state.  |
  `-----------------------------------------------------------*/
  yydefault:
    yyn = yydefact_[yystack_[0].state];
    if (yyn == 0)
      goto yyerrlab;
    goto yyreduce;

  /*-----------------------------.
  | yyreduce -- Do a reduction.  |
  `-----------------------------*/
  yyreduce:
    yylen = yyr2_[yyn];
    yylhs.state = yy_lr_goto_state_(yystack_[yylen].state, yyr1_[yyn]);
    /* If YYLEN is nonzero, implement the default value of the action:
       `$$ = $1'.  Otherwise, use the top of the stack.

       Otherwise, the following line sets YYLHS.VALUE to garbage.
       This behavior is undocumented and Bison
       users should not rely upon it.  */
    if (yylen)
      yylhs.value = yystack_[yylen - 1].value;
    else
      yylhs.value = yystack_[0].value;

    // Compute the default @$.
    {
      slice<stack_symbol_type, stack_type> slice (yystack_, yylen);
      YYLLOC_DEFAULT (yylhs.location, slice, yylen);
    }

    // Perform the reduction.
    YY_REDUCE_PRINT (yyn);
    try
    {
      switch (yyn)
      {
  case 7:
/* Line 835 of lalr1.cc  */
#line 203 "asm-parse.yy"
    { program_builder.define_data_label(*(yystack_[0].value.id)); }
/* Line 835 of lalr1.cc  */
#line 654 "asm-parse.cc"
    break;

  case 8:
/* Line 835 of lalr1.cc  */
#line 207 "asm-parse.yy"
    { program_builder.add_space((yystack_[0].value.i)); }
/* Line 835 of lalr1.cc  */
#line 662 "asm-parse.cc"
    break;

  case 9:
/* Line 835 of lalr1.cc  */
#line 211 "asm-parse.yy"
    { program_builder.add_byte((yystack_[0].value.i)); }
/* Line 835 of lalr1.cc  */
#line 670 "asm-parse.cc"
    break;

  case 10:
/* Line 835 of lalr1.cc  */
#line 214 "asm-parse.yy"
    { program_builder.add_half((yystack_[0].value.i)); }
/* Line 835 of lalr1.cc  */
#line 678 "asm-parse.cc"
    break;

  case 11:
/* Line 835 of lalr1.cc  */
#line 217 "asm-parse.yy"
    { program_builder.add_word((yystack_[0].value.i)); }
/* Line 835 of lalr1.cc  */
#line 686 "asm-parse.cc"
    break;

  case 12:
/* Line 835 of lalr1.cc  */
#line 219 "asm-parse.yy"
    { program_builder.add_word(new LabelExp(*(yystack_[0].value.id))); }
/* Line 835 of lalr1.cc  */
#line 694 "asm-parse.cc"
    break;

  case 13:
/* Line 835 of lalr1.cc  */
#line 222 "asm-parse.yy"
    { program_builder.add_ascii((yystack_[0].value.s)); }
/* Line 835 of lalr1.cc  */
#line 702 "asm-parse.cc"
    break;

  case 14:
/* Line 835 of lalr1.cc  */
#line 224 "asm-parse.yy"
    { program_builder.add_asciiz((yystack_[0].value.s)); }
/* Line 835 of lalr1.cc  */
#line 710 "asm-parse.cc"
    break;

  case 17:
/* Line 835 of lalr1.cc  */
#line 234 "asm-parse.yy"
    { program_builder.define_inst_label(*(yystack_[0].value.id)); }
/* Line 835 of lalr1.cc  */
#line 718 "asm-parse.cc"
    break;

  case 18:
/* Line 835 of lalr1.cc  */
#line 238 "asm-parse.yy"
    { program_builder.add_add((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 730 "asm-parse.cc"
    break;

  case 19:
/* Line 835 of lalr1.cc  */
#line 244 "asm-parse.yy"
    { program_builder.add_add((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 741 "asm-parse.cc"
    break;

  case 20:
/* Line 835 of lalr1.cc  */
#line 249 "asm-parse.yy"
    { program_builder.add_addi((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 752 "asm-parse.cc"
    break;

  case 21:
/* Line 835 of lalr1.cc  */
#line 254 "asm-parse.yy"
    { program_builder.add_addi((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 762 "asm-parse.cc"
    break;

  case 22:
/* Line 835 of lalr1.cc  */
#line 258 "asm-parse.yy"
    { program_builder.add_addu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 774 "asm-parse.cc"
    break;

  case 23:
/* Line 835 of lalr1.cc  */
#line 264 "asm-parse.yy"
    { program_builder.add_addu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 785 "asm-parse.cc"
    break;

  case 24:
/* Line 835 of lalr1.cc  */
#line 269 "asm-parse.yy"
    { program_builder.add_addiu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 796 "asm-parse.cc"
    break;

  case 25:
/* Line 835 of lalr1.cc  */
#line 274 "asm-parse.yy"
    { program_builder.add_addiu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 806 "asm-parse.cc"
    break;

  case 26:
/* Line 835 of lalr1.cc  */
#line 278 "asm-parse.yy"
    { program_builder.add_addi((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 817 "asm-parse.cc"
    break;

  case 27:
/* Line 835 of lalr1.cc  */
#line 283 "asm-parse.yy"
    { program_builder.add_addi((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 827 "asm-parse.cc"
    break;

  case 28:
/* Line 835 of lalr1.cc  */
#line 287 "asm-parse.yy"
    { program_builder.add_addiu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 838 "asm-parse.cc"
    break;

  case 29:
/* Line 835 of lalr1.cc  */
#line 292 "asm-parse.yy"
    { program_builder.add_addiu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 848 "asm-parse.cc"
    break;

  case 30:
/* Line 835 of lalr1.cc  */
#line 296 "asm-parse.yy"
    { program_builder.add_sub((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 860 "asm-parse.cc"
    break;

  case 31:
/* Line 835 of lalr1.cc  */
#line 302 "asm-parse.yy"
    { program_builder.add_sub((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 871 "asm-parse.cc"
    break;

  case 32:
/* Line 835 of lalr1.cc  */
#line 307 "asm-parse.yy"
    { program_builder.add_addi((yystack_[4].value.reg), (yystack_[2].value.reg), new OpExp(new IntExp(0), OpExp::sub, (yystack_[0].value.exp)));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 882 "asm-parse.cc"
    break;

  case 33:
/* Line 835 of lalr1.cc  */
#line 312 "asm-parse.yy"
    { program_builder.add_subu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 894 "asm-parse.cc"
    break;

  case 34:
/* Line 835 of lalr1.cc  */
#line 318 "asm-parse.yy"
    { program_builder.add_subu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 905 "asm-parse.cc"
    break;

  case 35:
/* Line 835 of lalr1.cc  */
#line 323 "asm-parse.yy"
    { program_builder.add_addiu((yystack_[4].value.reg), (yystack_[2].value.reg), new OpExp(new IntExp(0), OpExp::sub, (yystack_[0].value.exp)));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 916 "asm-parse.cc"
    break;

  case 36:
/* Line 835 of lalr1.cc  */
#line 328 "asm-parse.yy"
    { program_builder.add_sub((yystack_[2].value.reg), new Register(Register::general, Cpu::zero), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 927 "asm-parse.cc"
    break;

  case 37:
/* Line 835 of lalr1.cc  */
#line 333 "asm-parse.yy"
    { program_builder.add_sub((yystack_[0].value.reg), new Register(Register::general, Cpu::zero), (yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 937 "asm-parse.cc"
    break;

  case 38:
/* Line 835 of lalr1.cc  */
#line 337 "asm-parse.yy"
    { program_builder.add_subu((yystack_[2].value.reg), new Register(Register::general, Cpu::zero), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 948 "asm-parse.cc"
    break;

  case 39:
/* Line 835 of lalr1.cc  */
#line 342 "asm-parse.yy"
    { program_builder.add_subu((yystack_[0].value.reg), new Register(Register::general, Cpu::zero), (yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 958 "asm-parse.cc"
    break;

  case 40:
/* Line 835 of lalr1.cc  */
#line 346 "asm-parse.yy"
    { program_builder.add_abs((yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 969 "asm-parse.cc"
    break;

  case 41:
/* Line 835 of lalr1.cc  */
#line 351 "asm-parse.yy"
    { program_builder.add_abs((yystack_[0].value.reg), (yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 979 "asm-parse.cc"
    break;

  case 42:
/* Line 835 of lalr1.cc  */
#line 355 "asm-parse.yy"
    { program_builder.add_mul((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 991 "asm-parse.cc"
    break;

  case 43:
/* Line 835 of lalr1.cc  */
#line 361 "asm-parse.yy"
    { program_builder.add_mul((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1002 "asm-parse.cc"
    break;

  case 44:
/* Line 835 of lalr1.cc  */
#line 366 "asm-parse.yy"
    { program_builder.add_mul((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1013 "asm-parse.cc"
    break;

  case 45:
/* Line 835 of lalr1.cc  */
#line 371 "asm-parse.yy"
    { program_builder.add_div((yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1024 "asm-parse.cc"
    break;

  case 46:
/* Line 835 of lalr1.cc  */
#line 376 "asm-parse.yy"
    { program_builder.add_div((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1036 "asm-parse.cc"
    break;

  case 47:
/* Line 835 of lalr1.cc  */
#line 382 "asm-parse.yy"
    { program_builder.add_div((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1047 "asm-parse.cc"
    break;

  case 48:
/* Line 835 of lalr1.cc  */
#line 387 "asm-parse.yy"
    { program_builder.add_divu((yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1058 "asm-parse.cc"
    break;

  case 49:
/* Line 835 of lalr1.cc  */
#line 392 "asm-parse.yy"
    { program_builder.add_divu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1070 "asm-parse.cc"
    break;

  case 50:
/* Line 835 of lalr1.cc  */
#line 398 "asm-parse.yy"
    { program_builder.add_divu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1081 "asm-parse.cc"
    break;

  case 51:
/* Line 835 of lalr1.cc  */
#line 403 "asm-parse.yy"
    { program_builder.add_rem((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1093 "asm-parse.cc"
    break;

  case 52:
/* Line 835 of lalr1.cc  */
#line 409 "asm-parse.yy"
    { program_builder.add_rem((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1104 "asm-parse.cc"
    break;

  case 53:
/* Line 835 of lalr1.cc  */
#line 414 "asm-parse.yy"
    { program_builder.add_remu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1116 "asm-parse.cc"
    break;

  case 54:
/* Line 835 of lalr1.cc  */
#line 420 "asm-parse.yy"
    { program_builder.add_remu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1127 "asm-parse.cc"
    break;

  case 55:
/* Line 835 of lalr1.cc  */
#line 425 "asm-parse.yy"
    { program_builder.add_sll((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1138 "asm-parse.cc"
    break;

  case 56:
/* Line 835 of lalr1.cc  */
#line 430 "asm-parse.yy"
    { program_builder.add_sll((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1148 "asm-parse.cc"
    break;

  case 57:
/* Line 835 of lalr1.cc  */
#line 434 "asm-parse.yy"
    { program_builder.add_sllv((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1160 "asm-parse.cc"
    break;

  case 58:
/* Line 835 of lalr1.cc  */
#line 440 "asm-parse.yy"
    { program_builder.add_sllv((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1171 "asm-parse.cc"
    break;

  case 59:
/* Line 835 of lalr1.cc  */
#line 445 "asm-parse.yy"
    { program_builder.add_sllv((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1183 "asm-parse.cc"
    break;

  case 60:
/* Line 835 of lalr1.cc  */
#line 451 "asm-parse.yy"
    { program_builder.add_sllv((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1194 "asm-parse.cc"
    break;

  case 61:
/* Line 835 of lalr1.cc  */
#line 456 "asm-parse.yy"
    { program_builder.add_sra((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1205 "asm-parse.cc"
    break;

  case 62:
/* Line 835 of lalr1.cc  */
#line 461 "asm-parse.yy"
    { program_builder.add_sra((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1215 "asm-parse.cc"
    break;

  case 63:
/* Line 835 of lalr1.cc  */
#line 465 "asm-parse.yy"
    { program_builder.add_srav((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1227 "asm-parse.cc"
    break;

  case 64:
/* Line 835 of lalr1.cc  */
#line 471 "asm-parse.yy"
    { program_builder.add_srav((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1238 "asm-parse.cc"
    break;

  case 65:
/* Line 835 of lalr1.cc  */
#line 476 "asm-parse.yy"
    { program_builder.add_srav((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1250 "asm-parse.cc"
    break;

  case 66:
/* Line 835 of lalr1.cc  */
#line 482 "asm-parse.yy"
    { program_builder.add_srav((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1261 "asm-parse.cc"
    break;

  case 67:
/* Line 835 of lalr1.cc  */
#line 487 "asm-parse.yy"
    { program_builder.add_srl((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1272 "asm-parse.cc"
    break;

  case 68:
/* Line 835 of lalr1.cc  */
#line 492 "asm-parse.yy"
    { program_builder.add_srl((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1282 "asm-parse.cc"
    break;

  case 69:
/* Line 835 of lalr1.cc  */
#line 496 "asm-parse.yy"
    { program_builder.add_srlv((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1294 "asm-parse.cc"
    break;

  case 70:
/* Line 835 of lalr1.cc  */
#line 502 "asm-parse.yy"
    { program_builder.add_srlv((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1305 "asm-parse.cc"
    break;

  case 71:
/* Line 835 of lalr1.cc  */
#line 507 "asm-parse.yy"
    { program_builder.add_srlv((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1317 "asm-parse.cc"
    break;

  case 72:
/* Line 835 of lalr1.cc  */
#line 513 "asm-parse.yy"
    { program_builder.add_srlv((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1328 "asm-parse.cc"
    break;

  case 73:
/* Line 835 of lalr1.cc  */
#line 518 "asm-parse.yy"
    { program_builder.add_rol((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1340 "asm-parse.cc"
    break;

  case 74:
/* Line 835 of lalr1.cc  */
#line 524 "asm-parse.yy"
    { program_builder.add_rol((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1351 "asm-parse.cc"
    break;

  case 75:
/* Line 835 of lalr1.cc  */
#line 529 "asm-parse.yy"
    { program_builder.add_rol((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1362 "asm-parse.cc"
    break;

  case 76:
/* Line 835 of lalr1.cc  */
#line 534 "asm-parse.yy"
    { program_builder.add_rol((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1372 "asm-parse.cc"
    break;

  case 77:
/* Line 835 of lalr1.cc  */
#line 538 "asm-parse.yy"
    { program_builder.add_ror((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1384 "asm-parse.cc"
    break;

  case 78:
/* Line 835 of lalr1.cc  */
#line 544 "asm-parse.yy"
    { program_builder.add_ror((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1395 "asm-parse.cc"
    break;

  case 79:
/* Line 835 of lalr1.cc  */
#line 549 "asm-parse.yy"
    { program_builder.add_ror((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1406 "asm-parse.cc"
    break;

  case 80:
/* Line 835 of lalr1.cc  */
#line 554 "asm-parse.yy"
    { program_builder.add_ror((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1416 "asm-parse.cc"
    break;

  case 81:
/* Line 835 of lalr1.cc  */
#line 558 "asm-parse.yy"
    { program_builder.add_and((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1428 "asm-parse.cc"
    break;

  case 82:
/* Line 835 of lalr1.cc  */
#line 564 "asm-parse.yy"
    { program_builder.add_and((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1439 "asm-parse.cc"
    break;

  case 83:
/* Line 835 of lalr1.cc  */
#line 569 "asm-parse.yy"
    { program_builder.add_andi((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1450 "asm-parse.cc"
    break;

  case 84:
/* Line 835 of lalr1.cc  */
#line 574 "asm-parse.yy"
    { program_builder.add_andi((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1460 "asm-parse.cc"
    break;

  case 85:
/* Line 835 of lalr1.cc  */
#line 578 "asm-parse.yy"
    { program_builder.add_andi((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1471 "asm-parse.cc"
    break;

  case 86:
/* Line 835 of lalr1.cc  */
#line 583 "asm-parse.yy"
    { program_builder.add_andi((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1481 "asm-parse.cc"
    break;

  case 87:
/* Line 835 of lalr1.cc  */
#line 587 "asm-parse.yy"
    { program_builder.add_or((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1493 "asm-parse.cc"
    break;

  case 88:
/* Line 835 of lalr1.cc  */
#line 593 "asm-parse.yy"
    { program_builder.add_or((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1504 "asm-parse.cc"
    break;

  case 89:
/* Line 835 of lalr1.cc  */
#line 598 "asm-parse.yy"
    { program_builder.add_ori((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1515 "asm-parse.cc"
    break;

  case 90:
/* Line 835 of lalr1.cc  */
#line 603 "asm-parse.yy"
    { program_builder.add_ori((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1525 "asm-parse.cc"
    break;

  case 91:
/* Line 835 of lalr1.cc  */
#line 607 "asm-parse.yy"
    { program_builder.add_ori((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1536 "asm-parse.cc"
    break;

  case 92:
/* Line 835 of lalr1.cc  */
#line 612 "asm-parse.yy"
    { program_builder.add_ori((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1546 "asm-parse.cc"
    break;

  case 93:
/* Line 835 of lalr1.cc  */
#line 616 "asm-parse.yy"
    { program_builder.add_xor((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1558 "asm-parse.cc"
    break;

  case 94:
/* Line 835 of lalr1.cc  */
#line 622 "asm-parse.yy"
    { program_builder.add_xor((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1569 "asm-parse.cc"
    break;

  case 95:
/* Line 835 of lalr1.cc  */
#line 627 "asm-parse.yy"
    { program_builder.add_xori((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1580 "asm-parse.cc"
    break;

  case 96:
/* Line 835 of lalr1.cc  */
#line 632 "asm-parse.yy"
    { program_builder.add_xori((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1590 "asm-parse.cc"
    break;

  case 97:
/* Line 835 of lalr1.cc  */
#line 636 "asm-parse.yy"
    { program_builder.add_xori((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1601 "asm-parse.cc"
    break;

  case 98:
/* Line 835 of lalr1.cc  */
#line 641 "asm-parse.yy"
    { program_builder.add_xori((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1611 "asm-parse.cc"
    break;

  case 99:
/* Line 835 of lalr1.cc  */
#line 645 "asm-parse.yy"
    { program_builder.add_nor((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1623 "asm-parse.cc"
    break;

  case 100:
/* Line 835 of lalr1.cc  */
#line 651 "asm-parse.yy"
    { program_builder.add_nor((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1634 "asm-parse.cc"
    break;

  case 101:
/* Line 835 of lalr1.cc  */
#line 656 "asm-parse.yy"
    { program_builder.add_nor((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1645 "asm-parse.cc"
    break;

  case 102:
/* Line 835 of lalr1.cc  */
#line 661 "asm-parse.yy"
    { program_builder.add_nor((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1655 "asm-parse.cc"
    break;

  case 103:
/* Line 835 of lalr1.cc  */
#line 665 "asm-parse.yy"
    { program_builder.add_nor((yystack_[2].value.reg), (yystack_[0].value.reg), new Register(Register::general, Cpu::zero));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1666 "asm-parse.cc"
    break;

  case 104:
/* Line 835 of lalr1.cc  */
#line 670 "asm-parse.yy"
    { program_builder.add_nor((yystack_[0].value.reg), (yystack_[0].value.reg), new Register(Register::general, Cpu::zero));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1676 "asm-parse.cc"
    break;

  case 105:
/* Line 835 of lalr1.cc  */
#line 674 "asm-parse.yy"
    { program_builder.add_seq((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1688 "asm-parse.cc"
    break;

  case 106:
/* Line 835 of lalr1.cc  */
#line 680 "asm-parse.yy"
    { program_builder.add_seq((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1699 "asm-parse.cc"
    break;

  case 107:
/* Line 835 of lalr1.cc  */
#line 685 "asm-parse.yy"
    { program_builder.add_seq((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1710 "asm-parse.cc"
    break;

  case 108:
/* Line 835 of lalr1.cc  */
#line 690 "asm-parse.yy"
    { program_builder.add_seq((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1720 "asm-parse.cc"
    break;

  case 109:
/* Line 835 of lalr1.cc  */
#line 694 "asm-parse.yy"
    { program_builder.add_sne((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1732 "asm-parse.cc"
    break;

  case 110:
/* Line 835 of lalr1.cc  */
#line 700 "asm-parse.yy"
    { program_builder.add_sne((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1743 "asm-parse.cc"
    break;

  case 111:
/* Line 835 of lalr1.cc  */
#line 705 "asm-parse.yy"
    { program_builder.add_sne((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1754 "asm-parse.cc"
    break;

  case 112:
/* Line 835 of lalr1.cc  */
#line 710 "asm-parse.yy"
    { program_builder.add_sne((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1764 "asm-parse.cc"
    break;

  case 113:
/* Line 835 of lalr1.cc  */
#line 714 "asm-parse.yy"
    { program_builder.add_sge((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1776 "asm-parse.cc"
    break;

  case 114:
/* Line 835 of lalr1.cc  */
#line 720 "asm-parse.yy"
    { program_builder.add_sge((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1787 "asm-parse.cc"
    break;

  case 115:
/* Line 835 of lalr1.cc  */
#line 725 "asm-parse.yy"
    { program_builder.add_sge((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1798 "asm-parse.cc"
    break;

  case 116:
/* Line 835 of lalr1.cc  */
#line 730 "asm-parse.yy"
    { program_builder.add_sge((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1808 "asm-parse.cc"
    break;

  case 117:
/* Line 835 of lalr1.cc  */
#line 734 "asm-parse.yy"
    { program_builder.add_sgeu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1820 "asm-parse.cc"
    break;

  case 118:
/* Line 835 of lalr1.cc  */
#line 740 "asm-parse.yy"
    { program_builder.add_sgeu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1831 "asm-parse.cc"
    break;

  case 119:
/* Line 835 of lalr1.cc  */
#line 745 "asm-parse.yy"
    { program_builder.add_sgeu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1842 "asm-parse.cc"
    break;

  case 120:
/* Line 835 of lalr1.cc  */
#line 750 "asm-parse.yy"
    { program_builder.add_sgeu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1852 "asm-parse.cc"
    break;

  case 121:
/* Line 835 of lalr1.cc  */
#line 754 "asm-parse.yy"
    { program_builder.add_slt((yystack_[4].value.reg), (yystack_[0].value.reg), (yystack_[2].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[0].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1864 "asm-parse.cc"
    break;

  case 122:
/* Line 835 of lalr1.cc  */
#line 760 "asm-parse.yy"
    { program_builder.add_sgt((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1875 "asm-parse.cc"
    break;

  case 123:
/* Line 835 of lalr1.cc  */
#line 765 "asm-parse.yy"
    { program_builder.add_sgt((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1885 "asm-parse.cc"
    break;

  case 124:
/* Line 835 of lalr1.cc  */
#line 769 "asm-parse.yy"
    { program_builder.add_sltu((yystack_[4].value.reg), (yystack_[0].value.reg), (yystack_[2].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[0].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1897 "asm-parse.cc"
    break;

  case 125:
/* Line 835 of lalr1.cc  */
#line 775 "asm-parse.yy"
    { program_builder.add_sgtu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1908 "asm-parse.cc"
    break;

  case 126:
/* Line 835 of lalr1.cc  */
#line 780 "asm-parse.yy"
    { program_builder.add_sgtu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1918 "asm-parse.cc"
    break;

  case 127:
/* Line 835 of lalr1.cc  */
#line 784 "asm-parse.yy"
    { program_builder.add_sle((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1930 "asm-parse.cc"
    break;

  case 128:
/* Line 835 of lalr1.cc  */
#line 790 "asm-parse.yy"
    { program_builder.add_sle((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1941 "asm-parse.cc"
    break;

  case 129:
/* Line 835 of lalr1.cc  */
#line 795 "asm-parse.yy"
    { program_builder.add_sle((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1952 "asm-parse.cc"
    break;

  case 130:
/* Line 835 of lalr1.cc  */
#line 800 "asm-parse.yy"
    { program_builder.add_sle((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1962 "asm-parse.cc"
    break;

  case 131:
/* Line 835 of lalr1.cc  */
#line 804 "asm-parse.yy"
    { program_builder.add_sleu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1974 "asm-parse.cc"
    break;

  case 132:
/* Line 835 of lalr1.cc  */
#line 810 "asm-parse.yy"
    { program_builder.add_sleu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1985 "asm-parse.cc"
    break;

  case 133:
/* Line 835 of lalr1.cc  */
#line 815 "asm-parse.yy"
    { program_builder.add_sleu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 1996 "asm-parse.cc"
    break;

  case 134:
/* Line 835 of lalr1.cc  */
#line 820 "asm-parse.yy"
    { program_builder.add_sleu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2006 "asm-parse.cc"
    break;

  case 135:
/* Line 835 of lalr1.cc  */
#line 824 "asm-parse.yy"
    { program_builder.add_slt((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2018 "asm-parse.cc"
    break;

  case 136:
/* Line 835 of lalr1.cc  */
#line 830 "asm-parse.yy"
    { program_builder.add_slt((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2029 "asm-parse.cc"
    break;

  case 137:
/* Line 835 of lalr1.cc  */
#line 835 "asm-parse.yy"
    { program_builder.add_slti((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2040 "asm-parse.cc"
    break;

  case 138:
/* Line 835 of lalr1.cc  */
#line 840 "asm-parse.yy"
    { program_builder.add_slti((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2050 "asm-parse.cc"
    break;

  case 139:
/* Line 835 of lalr1.cc  */
#line 844 "asm-parse.yy"
    { program_builder.add_sltu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2062 "asm-parse.cc"
    break;

  case 140:
/* Line 835 of lalr1.cc  */
#line 850 "asm-parse.yy"
    { program_builder.add_sltu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2073 "asm-parse.cc"
    break;

  case 141:
/* Line 835 of lalr1.cc  */
#line 855 "asm-parse.yy"
    { program_builder.add_sltiu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2084 "asm-parse.cc"
    break;

  case 142:
/* Line 835 of lalr1.cc  */
#line 860 "asm-parse.yy"
    { program_builder.add_sltiu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2094 "asm-parse.cc"
    break;

  case 143:
/* Line 835 of lalr1.cc  */
#line 864 "asm-parse.yy"
    { program_builder.add_slti((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2105 "asm-parse.cc"
    break;

  case 144:
/* Line 835 of lalr1.cc  */
#line 869 "asm-parse.yy"
    { program_builder.add_slti((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2115 "asm-parse.cc"
    break;

  case 145:
/* Line 835 of lalr1.cc  */
#line 873 "asm-parse.yy"
    { program_builder.add_sltiu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2126 "asm-parse.cc"
    break;

  case 146:
/* Line 835 of lalr1.cc  */
#line 878 "asm-parse.yy"
    { program_builder.add_sltiu((yystack_[2].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2136 "asm-parse.cc"
    break;

  case 147:
/* Line 835 of lalr1.cc  */
#line 882 "asm-parse.yy"
    { program_builder.add_beq((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2147 "asm-parse.cc"
    break;

  case 148:
/* Line 835 of lalr1.cc  */
#line 887 "asm-parse.yy"
    { program_builder.add_beq((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2157 "asm-parse.cc"
    break;

  case 149:
/* Line 835 of lalr1.cc  */
#line 891 "asm-parse.yy"
    { program_builder.add_beq((yystack_[2].value.reg), new Register(Register::general, Cpu::zero), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2167 "asm-parse.cc"
    break;

  case 150:
/* Line 835 of lalr1.cc  */
#line 895 "asm-parse.yy"
    { program_builder.add_bne((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2178 "asm-parse.cc"
    break;

  case 151:
/* Line 835 of lalr1.cc  */
#line 900 "asm-parse.yy"
    { program_builder.add_bne((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2188 "asm-parse.cc"
    break;

  case 152:
/* Line 835 of lalr1.cc  */
#line 904 "asm-parse.yy"
    { program_builder.add_bne((yystack_[2].value.reg), new Register(Register::general, Cpu::zero), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2198 "asm-parse.cc"
    break;

  case 153:
/* Line 835 of lalr1.cc  */
#line 908 "asm-parse.yy"
    { program_builder.add_bge((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2209 "asm-parse.cc"
    break;

  case 154:
/* Line 835 of lalr1.cc  */
#line 913 "asm-parse.yy"
    { program_builder.add_bge((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2219 "asm-parse.cc"
    break;

  case 155:
/* Line 835 of lalr1.cc  */
#line 917 "asm-parse.yy"
    { program_builder.add_bgeu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2230 "asm-parse.cc"
    break;

  case 156:
/* Line 835 of lalr1.cc  */
#line 922 "asm-parse.yy"
    { program_builder.add_bgeu((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2240 "asm-parse.cc"
    break;

  case 157:
/* Line 835 of lalr1.cc  */
#line 926 "asm-parse.yy"
    { program_builder.add_bgez((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2250 "asm-parse.cc"
    break;

  case 158:
/* Line 835 of lalr1.cc  */
#line 930 "asm-parse.yy"
    { program_builder.add_bgezal((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2260 "asm-parse.cc"
    break;

  case 159:
/* Line 835 of lalr1.cc  */
#line 934 "asm-parse.yy"
    { program_builder.add_bgt((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2271 "asm-parse.cc"
    break;

  case 160:
/* Line 835 of lalr1.cc  */
#line 939 "asm-parse.yy"
    { program_builder.add_bgt((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2281 "asm-parse.cc"
    break;

  case 161:
/* Line 835 of lalr1.cc  */
#line 943 "asm-parse.yy"
    { program_builder.add_bgtu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2292 "asm-parse.cc"
    break;

  case 162:
/* Line 835 of lalr1.cc  */
#line 948 "asm-parse.yy"
    { program_builder.add_bgtu((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2302 "asm-parse.cc"
    break;

  case 163:
/* Line 835 of lalr1.cc  */
#line 952 "asm-parse.yy"
    { program_builder.add_bgtz((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2312 "asm-parse.cc"
    break;

  case 164:
/* Line 835 of lalr1.cc  */
#line 956 "asm-parse.yy"
    { program_builder.add_ble((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2323 "asm-parse.cc"
    break;

  case 165:
/* Line 835 of lalr1.cc  */
#line 961 "asm-parse.yy"
    { program_builder.add_ble((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2333 "asm-parse.cc"
    break;

  case 166:
/* Line 835 of lalr1.cc  */
#line 965 "asm-parse.yy"
    { program_builder.add_bleu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2344 "asm-parse.cc"
    break;

  case 167:
/* Line 835 of lalr1.cc  */
#line 970 "asm-parse.yy"
    { program_builder.add_bleu((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2354 "asm-parse.cc"
    break;

  case 168:
/* Line 835 of lalr1.cc  */
#line 974 "asm-parse.yy"
    { program_builder.add_blez((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2364 "asm-parse.cc"
    break;

  case 169:
/* Line 835 of lalr1.cc  */
#line 978 "asm-parse.yy"
    { program_builder.add_blt((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2375 "asm-parse.cc"
    break;

  case 170:
/* Line 835 of lalr1.cc  */
#line 983 "asm-parse.yy"
    { program_builder.add_blt((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2385 "asm-parse.cc"
    break;

  case 171:
/* Line 835 of lalr1.cc  */
#line 987 "asm-parse.yy"
    { program_builder.add_bltu((yystack_[4].value.reg), (yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2396 "asm-parse.cc"
    break;

  case 172:
/* Line 835 of lalr1.cc  */
#line 992 "asm-parse.yy"
    { program_builder.add_bltu((yystack_[4].value.reg), (yystack_[2].value.exp), (yystack_[0].value.exp));
  delete (yystack_[4].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2406 "asm-parse.cc"
    break;

  case 173:
/* Line 835 of lalr1.cc  */
#line 996 "asm-parse.yy"
    { program_builder.add_bltz((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2416 "asm-parse.cc"
    break;

  case 174:
/* Line 835 of lalr1.cc  */
#line 1000 "asm-parse.yy"
    { program_builder.add_bltzal((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2426 "asm-parse.cc"
    break;

  case 175:
/* Line 835 of lalr1.cc  */
#line 1004 "asm-parse.yy"
    { program_builder.add_j((yystack_[0].value.exp));
}
/* Line 835 of lalr1.cc  */
#line 2435 "asm-parse.cc"
    break;

  case 176:
/* Line 835 of lalr1.cc  */
#line 1007 "asm-parse.yy"
    { program_builder.add_jal((yystack_[0].value.exp));
}
/* Line 835 of lalr1.cc  */
#line 2444 "asm-parse.cc"
    break;

  case 177:
/* Line 835 of lalr1.cc  */
#line 1010 "asm-parse.yy"
    { program_builder.add_jr((yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2454 "asm-parse.cc"
    break;

  case 178:
/* Line 835 of lalr1.cc  */
#line 1014 "asm-parse.yy"
    { program_builder.add_jalr((yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2464 "asm-parse.cc"
    break;

  case 179:
/* Line 835 of lalr1.cc  */
#line 1018 "asm-parse.yy"
    { program_builder.add_lb((yystack_[5].value.reg), (yystack_[3].value.exp), (yystack_[1].value.reg));
  delete (yystack_[5].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2475 "asm-parse.cc"
    break;

  case 180:
/* Line 835 of lalr1.cc  */
#line 1023 "asm-parse.yy"
    { program_builder.add_lb((yystack_[4].value.reg), new IntExp(0), (yystack_[1].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2486 "asm-parse.cc"
    break;

  case 181:
/* Line 835 of lalr1.cc  */
#line 1028 "asm-parse.yy"
    { program_builder.add_lbu((yystack_[5].value.reg), (yystack_[3].value.exp), (yystack_[1].value.reg));
  delete (yystack_[5].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2497 "asm-parse.cc"
    break;

  case 182:
/* Line 835 of lalr1.cc  */
#line 1033 "asm-parse.yy"
    { program_builder.add_lbu((yystack_[4].value.reg), new IntExp(0), (yystack_[1].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2508 "asm-parse.cc"
    break;

  case 183:
/* Line 835 of lalr1.cc  */
#line 1038 "asm-parse.yy"
    { program_builder.add_lw((yystack_[5].value.reg), (yystack_[3].value.exp), (yystack_[1].value.reg));
  delete (yystack_[5].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2519 "asm-parse.cc"
    break;

  case 184:
/* Line 835 of lalr1.cc  */
#line 1043 "asm-parse.yy"
    { program_builder.add_lw((yystack_[4].value.reg), new IntExp(0), (yystack_[1].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2530 "asm-parse.cc"
    break;

  case 185:
/* Line 835 of lalr1.cc  */
#line 1048 "asm-parse.yy"
    { program_builder.add_lui((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2540 "asm-parse.cc"
    break;

  case 186:
/* Line 835 of lalr1.cc  */
#line 1052 "asm-parse.yy"
    { program_builder.add_ori((yystack_[2].value.reg), new Register(Register::general, Cpu::zero), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2550 "asm-parse.cc"
    break;

  case 187:
/* Line 835 of lalr1.cc  */
#line 1056 "asm-parse.yy"
    { program_builder.add_la((yystack_[5].value.reg), (yystack_[3].value.exp), (yystack_[1].value.reg));
  delete (yystack_[5].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2561 "asm-parse.cc"
    break;

  case 188:
/* Line 835 of lalr1.cc  */
#line 1061 "asm-parse.yy"
    { program_builder.add_la((yystack_[4].value.reg), new IntExp(0), (yystack_[1].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2572 "asm-parse.cc"
    break;

  case 189:
/* Line 835 of lalr1.cc  */
#line 1066 "asm-parse.yy"
    { program_builder.add_la((yystack_[2].value.reg), (yystack_[0].value.exp));
  delete (yystack_[2].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2582 "asm-parse.cc"
    break;

  case 190:
/* Line 835 of lalr1.cc  */
#line 1070 "asm-parse.yy"
    { program_builder.add_sb((yystack_[5].value.reg), (yystack_[3].value.exp), (yystack_[1].value.reg));
  delete (yystack_[5].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2593 "asm-parse.cc"
    break;

  case 191:
/* Line 835 of lalr1.cc  */
#line 1075 "asm-parse.yy"
    { program_builder.add_sb((yystack_[4].value.reg), new IntExp(0), (yystack_[1].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2604 "asm-parse.cc"
    break;

  case 192:
/* Line 835 of lalr1.cc  */
#line 1080 "asm-parse.yy"
    { program_builder.add_sw((yystack_[5].value.reg), (yystack_[3].value.exp), (yystack_[1].value.reg));
  delete (yystack_[5].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2615 "asm-parse.cc"
    break;

  case 193:
/* Line 835 of lalr1.cc  */
#line 1085 "asm-parse.yy"
    { program_builder.add_sw((yystack_[4].value.reg), new IntExp(0), (yystack_[1].value.reg));
  delete (yystack_[4].value.reg);
  delete (yystack_[1].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2626 "asm-parse.cc"
    break;

  case 194:
/* Line 835 of lalr1.cc  */
#line 1090 "asm-parse.yy"
    { program_builder.add_addu((yystack_[2].value.reg), (yystack_[0].value.reg), new Register(Register::general, Cpu::zero));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2637 "asm-parse.cc"
    break;

  case 195:
/* Line 835 of lalr1.cc  */
#line 1095 "asm-parse.yy"
    { program_builder.add_mfhi((yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2647 "asm-parse.cc"
    break;

  case 196:
/* Line 835 of lalr1.cc  */
#line 1099 "asm-parse.yy"
    { program_builder.add_mflo((yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2657 "asm-parse.cc"
    break;

  case 197:
/* Line 835 of lalr1.cc  */
#line 1103 "asm-parse.yy"
    { program_builder.add_mthi((yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2667 "asm-parse.cc"
    break;

  case 198:
/* Line 835 of lalr1.cc  */
#line 1107 "asm-parse.yy"
    { program_builder.add_mtlo((yystack_[0].value.reg));
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2677 "asm-parse.cc"
    break;

  case 199:
/* Line 835 of lalr1.cc  */
#line 1111 "asm-parse.yy"
    { program_builder.add_mfc0((yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2688 "asm-parse.cc"
    break;

  case 200:
/* Line 835 of lalr1.cc  */
#line 1116 "asm-parse.yy"
    { program_builder.add_mtc0((yystack_[2].value.reg), (yystack_[0].value.reg));
  delete (yystack_[2].value.reg);
  delete (yystack_[0].value.reg);
}
/* Line 835 of lalr1.cc  */
#line 2699 "asm-parse.cc"
    break;

  case 201:
/* Line 835 of lalr1.cc  */
#line 1121 "asm-parse.yy"
    { program_builder.add_syscall();
}
/* Line 835 of lalr1.cc  */
#line 2708 "asm-parse.cc"
    break;

  case 202:
/* Line 835 of lalr1.cc  */
#line 1124 "asm-parse.yy"
    { program_builder.add_sll(new Register(Register::general, Cpu::zero), new Register(Register::general, Cpu::zero), new IntExp(0));
}
/* Line 835 of lalr1.cc  */
#line 2717 "asm-parse.cc"
    break;

  case 203:
/* Line 835 of lalr1.cc  */
#line 1128 "asm-parse.yy"
    { (yylhs.value.exp) = new OpExp((yystack_[2].value.exp), OpExp::add, (yystack_[0].value.exp)); }
/* Line 835 of lalr1.cc  */
#line 2725 "asm-parse.cc"
    break;

  case 204:
/* Line 835 of lalr1.cc  */
#line 1129 "asm-parse.yy"
    { (yylhs.value.exp) = new OpExp((yystack_[2].value.exp), OpExp::sub, (yystack_[0].value.exp)); }
/* Line 835 of lalr1.cc  */
#line 2733 "asm-parse.cc"
    break;

  case 205:
/* Line 835 of lalr1.cc  */
#line 1130 "asm-parse.yy"
    { (yylhs.value.exp) = new OpExp((yystack_[2].value.exp), OpExp::mul, (yystack_[0].value.exp)); }
/* Line 835 of lalr1.cc  */
#line 2741 "asm-parse.cc"
    break;

  case 206:
/* Line 835 of lalr1.cc  */
#line 1131 "asm-parse.yy"
    { (yylhs.value.exp) = new OpExp((yystack_[2].value.exp), OpExp::div, (yystack_[0].value.exp)); }
/* Line 835 of lalr1.cc  */
#line 2749 "asm-parse.cc"
    break;

  case 207:
/* Line 835 of lalr1.cc  */
#line 1133 "asm-parse.yy"
    { (yylhs.value.exp) = new OpExp(new IntExp(0), OpExp::sub, (yystack_[0].value.exp)); }
/* Line 835 of lalr1.cc  */
#line 2757 "asm-parse.cc"
    break;

  case 208:
/* Line 835 of lalr1.cc  */
#line 1134 "asm-parse.yy"
    { (yylhs.value.exp) = (yystack_[1].value.exp); }
/* Line 835 of lalr1.cc  */
#line 2765 "asm-parse.cc"
    break;

  case 209:
/* Line 835 of lalr1.cc  */
#line 1135 "asm-parse.yy"
    { (yylhs.value.exp) = new IntExp((yystack_[0].value.i)); }
/* Line 835 of lalr1.cc  */
#line 2773 "asm-parse.cc"
    break;

  case 210:
/* Line 835 of lalr1.cc  */
#line 1136 "asm-parse.yy"
    { (yylhs.value.exp) = new LabelExp(*(yystack_[0].value.id)); }
/* Line 835 of lalr1.cc  */
#line 2781 "asm-parse.cc"
    break;


/* Line 835 of lalr1.cc  */
#line 2786 "asm-parse.cc"
	default:
          break;
      }
    }
    catch (const syntax_error& yyexc)
    {
      error (yyexc.location, yyexc.what());
      YYERROR;
    }
    YY_SYMBOL_PRINT ("-> $$ =", yylhs);


    yypop_ (yylen);
    yylen = 0;
    YY_STACK_PRINT ();

    /* Shift the result of the reduction.  */
    yypush_ (0, yylhs);
    goto yynewstate;

  /*--------------------------------------.
  | yyerrlab -- here on detecting error.  |
  `--------------------------------------*/
  yyerrlab:
    /* If not already recovering from an error, report this error.  */
    if (!yyerrstatus_)
      {
	++yynerrs_;
	error (yyla.location, yysyntax_error_ (yystack_[0].state,
                                           yyempty ? yyempty_ : yyla.type));
      }


    yyerror_range[1].location = yyla.location;
    if (yyerrstatus_ == 3)
      {
	/* If just tried and failed to reuse lookahead token after an
           error, discard it.  */

        /* Return failure if at end of input.  */
        if (yyla.type == yyeof_)
          YYABORT;
        else if (!yyempty)
          {
            yy_destroy_ ("Error: discarding", yyla);
            yyempty = true;
	  }
      }

    /* Else will try to reuse lookahead token after shifting the error
       token.  */
    goto yyerrlab1;


  /*---------------------------------------------------.
  | yyerrorlab -- error raised explicitly by YYERROR.  |
  `---------------------------------------------------*/
  yyerrorlab:

    /* Pacify compilers like GCC when the user code never invokes
       YYERROR and the label yyerrorlab therefore never appears in user
       code.  */
    if (false)
      goto yyerrorlab;
    yyerror_range[1].location = yystack_[yylen - 1].location;
    /* Do not reclaim the symbols of the rule which action triggered
       this YYERROR.  */
    yypop_ (yylen);
    yylen = 0;
    goto yyerrlab1;

  /*-------------------------------------------------------------.
  | yyerrlab1 -- common code for both syntax error and YYERROR.  |
  `-------------------------------------------------------------*/
  yyerrlab1:
    yyerrstatus_ = 3;	/* Each real token shifted decrements this.  */
    {
      stack_symbol_type error_token;
      for (;;)
        {
          yyn = yypact_[yystack_[0].state];
          if (!yy_pact_value_is_default_ (yyn))
            {
              yyn += yyterror_;
              if (0 <= yyn && yyn <= yylast_ && yycheck_[yyn] == yyterror_)
                {
                  yyn = yytable_[yyn];
                  if (0 < yyn)
                    break;
                }
            }

          // Pop the current state because it cannot handle the error token.
          if (yystack_.size () == 1)
            YYABORT;

          yyerror_range[1].location = yystack_[0].location;
          yy_destroy_ ("Error: popping", yystack_[0]);
          yypop_ ();
          YY_STACK_PRINT ();
        }

      yyerror_range[2].location = yyla.location;
      YYLLOC_DEFAULT (error_token.location, yyerror_range, 2);

      /* Shift the error token.  */
      error_token.state = yyn;
      yypush_ ("Shifting", error_token);
    }
    goto yynewstate;

    /* Accept.  */
  yyacceptlab:
    yyresult = 0;
    goto yyreturn;

    /* Abort.  */
  yyabortlab:
    yyresult = 1;
    goto yyreturn;

  yyreturn:
    if (!yyempty)
      yy_destroy_ ("Cleanup: discarding lookahead", yyla);

    /* Do not reclaim the symbols of the rule which action triggered
       this YYABORT or YYACCEPT.  */
    yypop_ (yylen);
    while (yystack_.size () != 1)
      {
	yy_destroy_ ("Cleanup: popping", yystack_[0]);
	yypop_ ();
      }

    return yyresult;
  }

  // Generate an error message.
  std::string
  parser::yysyntax_error_ (state_type yystate, int yytoken)
  {
    std::string yyres;
    // Number of reported tokens (one for the "unexpected", one per
    // "expected").
    size_t yycount = 0;
    // Its maximum.
    enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
    // Arguments of yyformat.
    char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];

    /* There are many possibilities here to consider:
       - If this state is a consistent state with a default action, then
         the only way this function was invoked is if the default action
         is an error action.  In that case, don't check for expected
         tokens because there are none.
       - The only way there can be no lookahead present (in yytoken) is
         if this state is a consistent state with a default action.
         Thus, detecting the absence of a lookahead is sufficient to
         determine that there is no unexpected or expected token to
         report.  In that case, just report a simple "syntax error".
       - Don't assume there isn't a lookahead just because this state is
         a consistent state with a default action.  There might have
         been a previous inconsistent state, consistent state with a
         non-default action, or user semantic action that manipulated
         yyla.  (However, yyla is currently not documented for users.)
       - Of course, the expected token list depends on states to have
         correct lookahead information, and it depends on the parser not
         to perform extra reductions after fetching a lookahead from the
         scanner and before detecting a syntax error.  Thus, state
         merging (from LALR or IELR) and default reductions corrupt the
         expected token list.  However, the list is correct for
         canonical LR with one exception: it will still contain any
         token that will not be accepted due to an error action in a
         later state.
    */
    if (yytoken != yyempty_)
      {
        yyarg[yycount++] = yytname_[yytoken];
        int yyn = yypact_[yystate];
        if (!yy_pact_value_is_default_ (yyn))
          {
            /* Start YYX at -YYN if negative to avoid negative indexes in
               YYCHECK.  In other words, skip the first -YYN actions for
               this state because they are default actions.  */
            int yyxbegin = yyn < 0 ? -yyn : 0;
            /* Stay within bounds of both yycheck and yytname.  */
            int yychecklim = yylast_ - yyn + 1;
            int yyxend = yychecklim < yyntokens_ ? yychecklim : yyntokens_;
            for (int yyx = yyxbegin; yyx < yyxend; ++yyx)
              if (yycheck_[yyx + yyn] == yyx && yyx != yyterror_
                  && !yy_table_value_is_error_ (yytable_[yyx + yyn]))
                {
                  if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                    {
                      yycount = 1;
                      break;
                    }
                  else
                    yyarg[yycount++] = yytname_[yyx];
                }
          }
      }

    char const* yyformat = 0;
    switch (yycount)
      {
#define YYCASE_(N, S)                         \
        case N:                               \
          yyformat = S;                       \
        break
        YYCASE_(0, YY_("syntax error"));
        YYCASE_(1, YY_("syntax error, unexpected %s"));
        YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
        YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
        YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
        YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
      }

    // Argument number.
    size_t yyi = 0;
    for (char const* yyp = yyformat; *yyp; ++yyp)
      if (yyp[0] == '%' && yyp[1] == 's' && yyi < yycount)
        {
          yyres += yytnamerr_ (yyarg[yyi++]);
          ++yyp;
        }
      else
        yyres += *yyp;
    return yyres;
  }


  const signed char parser::yypact_ninf_ = -69;

  const signed char parser::yytable_ninf_ = -1;

  const short int
  parser::yypact_[] =
  {
     -69,     6,   -69,   -69,   -69,   176,    -2,   -69,    -3,     3,
      23,    27,    30,    34,    37,    41,    44,    48,    51,    55,
      58,    62,    65,    69,    72,    76,    79,    83,    90,    93,
      97,   100,   104,   110,   111,   112,   124,   128,   130,   132,
     142,   174,   188,   275,   277,   280,   284,   287,   291,   294,
     298,   302,   308,   309,   319,   320,   322,   324,   326,   369,
     371,   374,   378,   381,   385,   388,   392,   395,   122,   122,
     399,   402,   406,   409,   413,   416,   420,   423,   427,   430,
     434,   437,   441,   444,   448,   451,   455,   -69,   -69,   -69,
     -69,   460,   464,   467,    22,   473,   480,   -69,   466,   483,
     487,   490,   494,   497,   501,   504,   508,   511,   515,   518,
     522,   525,   529,   532,   536,   539,   543,   546,   550,   553,
     557,   560,   564,   567,   571,   574,   578,   581,   585,   588,
     592,   595,   599,   602,   606,   609,   613,   616,   620,   623,
     627,   630,   634,   637,   641,   644,   648,   651,   655,   658,
     662,   665,   669,   672,   676,   679,   683,   686,   -69,   -69,
     122,   122,   831,   831,   -69,   -69,   690,   693,   697,   700,
     704,   707,   711,   714,   718,   -69,   -69,   -69,   -69,   721,
     725,   -69,   -69,   -69,   -69,   -69,   -69,   -69,     0,    21,
      28,    35,   476,   732,   735,   739,   743,   746,   750,   754,
     758,   765,    42,   766,    49,   772,    56,   773,    63,    70,
      77,    84,    91,    98,   105,   121,   278,   779,   285,   292,
     299,   372,   379,   386,   393,   400,   407,   414,   421,   428,
     435,   122,   442,   122,   449,   456,   122,   122,   463,   470,
     122,   477,   484,   122,   491,   498,   122,   122,   185,   -69,
     122,   122,   122,   122,   729,   733,   740,   122,   122,   744,
     751,   755,   780,   839,   840,   838,   831,   841,   831,   842,
     831,   843,   831,   844,   845,   -69,   -69,   -69,   846,   847,
     848,   849,   850,   851,   831,   852,   853,   831,   854,   855,
     831,   856,   857,   831,   858,   831,   859,   831,   860,   831,
     861,   831,   862,   831,   863,   831,   864,   831,   865,   831,
     -69,   866,   831,   867,   831,   868,   831,   869,   831,   870,
     831,   871,   831,   872,   831,   873,   831,   874,   831,   875,
     831,   876,   831,   877,   831,   878,   782,   831,   879,   787,
     831,   880,   792,   881,   797,   831,   831,   882,   802,   883,
     807,   831,   884,   812,   885,   817,   831,   886,   822,   887,
     827,   831,   831,   -69,   101,   101,   -69,   -69,   505,     1,
     512,   300,   519,   756,   831,   831,   526,   763,   533,   770,
     540,   777,   -69,   -69,   -69,   547,   554,   122,   122,   561,
     568,   575,   582,   589,   891,   892,   596,   893,   603,   894,
     610,   895,   617,   624,   631,   122,   638,   122,   645,   122,
     652,   659,   666,   673,   680,   687,   694,   701,   708,   715,
     722,   122,   122,   122,   122,   122,   122,   122,   122,   122,
     122,   122,   122,   122,   122,   122,   122,   122,   122,   122,
     122,   122,   122,   481,   896,   897,   898,   899,   900,   901,
     902,   903,   904,   905,   906,   -69,   831,   -69,   831,   831,
     831,   -69,   831,   -69,   831,   -69,   831,   -69,   831,   -69,
     831,   -69,   -69,   -69,   831,   -69,   -69,   831,   -69,   -69,
     831,   -69,   -69,   831,   -69,   831,   -69,   831,   831,   -69,
     831,   831,   -69,   831,   831,   -69,   831,   -69,   831,   -69,
     831,   -69,   831,   -69,   831,   -69,   831,   -69,   831,   -69,
     831,   -69,   831,   -69,   831,   -69,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   -69,
     907,   -69,   908,   -69,   909,   -69,   910,   -69,   911,   -69,
     912,   -69,   -69,   -69,   -69,   -69,   -69
  };

  const unsigned char
  parser::yydefact_[] =
  {
       2,     0,     1,    15,     5,     3,     4,    17,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,   202,    16,
       7,     0,     0,     0,     0,     0,     0,     6,     0,     0,
       0,     0,     0,     0,    37,    39,    41,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,   209,
       0,     0,   175,   176,   177,   178,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,     0,
       0,     8,     9,    10,    12,    11,    13,    14,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    19,    21,    23,    25,     0,
      27,     0,    29,    31,    34,    36,    38,    40,    43,    45,
      48,    52,    54,    58,    56,    60,    64,    62,    66,    70,
      68,    72,    74,    76,    78,    80,    82,    84,     0,    86,
      88,    90,     0,    92,    94,    96,     0,    98,   100,   102,
     103,   106,   108,   110,   112,   114,   116,   118,   120,     0,
     123,     0,   126,   128,   130,   132,   134,   136,   138,   140,
     142,     0,   144,     0,   146,     0,     0,   149,     0,     0,
     152,     0,     0,     0,     0,   157,   158,     0,     0,     0,
       0,   163,     0,     0,     0,     0,   168,     0,     0,     0,
       0,   173,   174,   208,   204,   203,   206,   205,     0,     0,
       0,     0,     0,     0,   185,   186,     0,   189,     0,     0,
       0,     0,   194,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    18,    20,    22,    24,    26,
      28,    30,    32,    33,    35,    42,    44,    46,    47,    49,
      50,    51,    53,    57,    55,    59,    63,    61,    65,    69,
      67,    71,    73,    75,    77,    79,    81,    83,    85,    87,
      89,    91,    93,    95,    97,    99,   101,   105,   107,   109,
     111,   113,   115,   117,   119,   121,   122,   124,   125,   127,
     129,   131,   133,   135,   137,   139,   141,   143,   145,   147,
     148,   150,   151,   153,   154,   155,   156,   159,   160,   161,
     162,   164,   165,   166,   167,   169,   170,   171,   172,   180,
       0,   182,     0,   184,     0,   188,     0,   191,     0,   193,
       0,   179,   181,   183,   187,   190,   192
  };

  const signed char
  parser::yypgoto_[] =
  {
     -69,   -69,   -69,   -69,   -69,   -69,   -68
  };

  const short int
  parser::yydefgoto_[] =
  {
      -1,     1,     6,    97,     5,    89,   248
  };

  const unsigned short int
  parser::yytable_[] =
  {
     162,   163,    90,   158,    98,   159,     2,   265,   160,   444,
      99,   161,   250,   251,   252,   253,    91,    92,    93,    94,
      95,    96,     3,     4,   158,   184,   159,   185,   267,   160,
     100,   158,   161,   159,   101,   269,   160,   102,   158,   161,
     159,   103,   271,   160,   104,   158,   161,   159,   105,   283,
     160,   106,   158,   161,   159,   107,   286,   160,   108,   158,
     161,   159,   109,   289,   160,   110,   158,   161,   159,   111,
     292,   160,   112,   158,   161,   159,   113,   294,   160,   114,
     158,   161,   159,   115,   296,   160,   116,   158,   161,   159,
     117,   298,   160,   249,   158,   161,   159,   118,   300,   160,
     119,   158,   161,   159,   120,   302,   160,   121,   158,   161,
     159,   122,   304,   160,   252,   253,   161,   123,   124,   125,
     266,   268,   270,   272,   158,   158,   159,   159,   306,   160,
     160,   126,   161,   161,   284,   127,   287,   128,   290,   129,
     293,   295,   297,   299,   301,   303,   305,   307,   309,   130,
     312,   314,   316,   318,   320,   322,   324,   326,   328,   330,
     332,   334,   336,   337,   339,   340,   342,   344,   345,   346,
     348,   350,   351,   353,   355,   356,   358,   360,   361,   362,
       7,   131,   364,   365,   366,   367,   369,   371,   373,   374,
     375,   377,   379,   381,   363,   132,   250,   251,   252,   253,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,   158,   133,   159,   134,   308,   160,   135,   158,   161,
     159,   136,   311,   160,   137,   158,   161,   159,   138,   313,
     160,   139,   158,   161,   159,   140,   315,   160,   446,   141,
     161,   250,   251,   252,   253,   142,   143,   456,   458,   459,
     460,   462,   464,   466,   468,   470,   144,   145,   474,   146,
     477,   147,   480,   148,   483,   485,   487,   488,   490,   491,
     493,   494,   496,   498,   500,   502,   504,   506,   508,   510,
     512,   514,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   158,   149,   159,   150,   317,
     160,   151,   158,   161,   159,   152,   319,   160,   153,   158,
     161,   159,   154,   321,   160,   155,   158,   161,   159,   156,
     323,   160,   157,   158,   161,   159,   164,   325,   160,   165,
     158,   161,   159,   166,   327,   160,   167,   158,   161,   159,
     168,   329,   160,   169,   158,   161,   159,   170,   331,   160,
     171,   158,   161,   159,   172,   333,   160,   173,   158,   161,
     159,   174,   335,   160,   175,   158,   161,   159,   176,   338,
     160,   177,   158,   161,   159,   178,   341,   160,   179,   158,
     161,   159,   180,   343,   160,   181,   158,   161,   159,   182,
     347,   160,   183,   158,   161,   159,   188,   349,   160,   186,
     158,   161,   159,   273,   352,   160,   187,   158,   161,   159,
     539,   354,   160,   189,   158,   161,   159,   190,   357,   160,
     191,   158,   161,   159,   192,   359,   160,   193,   158,   161,
     159,   194,   443,   160,   195,   158,   161,   159,   196,   445,
     160,   197,   158,   161,   159,   198,   447,   160,   199,   158,
     161,   159,   200,   449,   160,   201,   158,   161,   159,   202,
     451,   160,   203,   158,   161,   159,   204,   453,   160,   205,
     158,   161,   159,   206,   455,   160,   207,   158,   161,   159,
     208,   457,   160,   209,   158,   161,   159,   210,   461,   160,
     211,   158,   161,   159,   212,   463,   160,   213,   158,   161,
     159,   214,   465,   160,   215,   158,   161,   159,   216,   467,
     160,   217,   158,   161,   159,   218,   469,   160,   219,   158,
     161,   159,   220,   473,   160,   221,   158,   161,   159,   222,
     476,   160,   223,   158,   161,   159,   224,   479,   160,   225,
     158,   161,   159,   226,   482,   160,   227,   158,   161,   159,
     228,   484,   160,   229,   158,   161,   159,   230,   486,   160,
     231,   158,   161,   159,   232,   489,   160,   233,   158,   161,
     159,   234,   492,   160,   235,   158,   161,   159,   236,   495,
     160,   237,   158,   161,   159,   238,   497,   160,   239,   158,
     161,   159,   240,   499,   160,   241,   158,   161,   159,   242,
     501,   160,   243,   158,   161,   159,   244,   503,   160,   245,
     158,   161,   159,   246,   505,   160,   247,   158,   161,   159,
     254,   507,   160,   255,   158,   161,   159,   256,   509,   160,
     257,   158,   161,   159,   258,   511,   160,   259,   158,   161,
     159,   260,   513,   160,   261,   158,   161,   159,   262,   515,
     160,   263,   158,   161,   159,   264,   158,   368,   159,   274,
     161,   370,   275,   158,   161,   159,   276,   158,   372,   159,
     277,   161,   376,   278,   158,   161,   159,   279,   158,   378,
     159,   280,   161,   380,   448,   281,   161,   250,   251,   252,
     253,   450,   282,   285,   250,   251,   252,   253,   452,   288,
     291,   250,   251,   252,   253,   454,   310,   382,   250,   251,
     252,   253,   424,   250,   251,   252,   253,   426,   250,   251,
     252,   253,   428,   250,   251,   252,   253,   430,   250,   251,
     252,   253,   432,   250,   251,   252,   253,   434,   250,   251,
     252,   253,   436,   250,   251,   252,   253,   438,   250,   251,
     252,   253,   440,   250,   251,   252,   253,   442,   250,   251,
     252,   253,   250,   251,   252,   253,   383,   384,   385,     0,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   425,
     427,   429,   431,   433,   435,   437,   439,   441,   471,   472,
     475,   478,   481,   540,     0,   542,   541,   544,   543,   546,
     545,   548,   547,   550,   549,     0,   551,   552,   553,   554,
     555,   556
  };

  const short int
  parser::yycheck_[] =
  {
      68,    69,     4,     3,     7,     5,     0,     7,     8,     8,
       7,    11,    11,    12,    13,    14,    18,    19,    20,    21,
      22,    23,    16,    17,     3,     3,     5,     5,     7,     8,
       7,     3,    11,     5,     7,     7,     8,     7,     3,    11,
       5,     7,     7,     8,     7,     3,    11,     5,     7,     7,
       8,     7,     3,    11,     5,     7,     7,     8,     7,     3,
      11,     5,     7,     7,     8,     7,     3,    11,     5,     7,
       7,     8,     7,     3,    11,     5,     7,     7,     8,     7,
       3,    11,     5,     7,     7,     8,     7,     3,    11,     5,
       7,     7,     8,   161,     3,    11,     5,     7,     7,     8,
       7,     3,    11,     5,     7,     7,     8,     7,     3,    11,
       5,     7,     7,     8,    13,    14,    11,     7,     7,     7,
     188,   189,   190,   191,     3,     3,     5,     5,     7,     8,
       8,     7,    11,    11,   202,     7,   204,     7,   206,     7,
     208,   209,   210,   211,   212,   213,   214,   215,   216,     7,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
       4,     7,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     9,     7,    11,    12,    13,    14,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,     3,     7,     5,     7,     7,     8,     7,     3,    11,
       5,     7,     7,     8,     7,     3,    11,     5,     7,     7,
       8,     7,     3,    11,     5,     7,     7,     8,     8,     7,
      11,    11,    12,    13,    14,     7,     7,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     7,     7,   396,     7,
     398,     7,   400,     7,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     3,     7,     5,     7,     7,
       8,     7,     3,    11,     5,     7,     7,     8,     7,     3,
      11,     5,     7,     7,     8,     7,     3,    11,     5,     7,
       7,     8,     7,     3,    11,     5,     7,     7,     8,     7,
       3,    11,     5,     7,     7,     8,     7,     3,    11,     5,
       7,     7,     8,     7,     3,    11,     5,     7,     7,     8,
       7,     3,    11,     5,     7,     7,     8,     7,     3,    11,
       5,     7,     7,     8,     7,     3,    11,     5,     7,     7,
       8,     7,     3,    11,     5,     7,     7,     8,     7,     3,
      11,     5,     7,     7,     8,     5,     3,    11,     5,     5,
       7,     8,     5,     3,    11,     5,    10,     7,     8,     6,
       3,    11,     5,     7,     7,     8,     6,     3,    11,     5,
       9,     7,     8,    10,     3,    11,     5,    10,     7,     8,
      10,     3,    11,     5,    10,     7,     8,    10,     3,    11,
       5,    10,     7,     8,    10,     3,    11,     5,    10,     7,
       8,    10,     3,    11,     5,    10,     7,     8,    10,     3,
      11,     5,    10,     7,     8,    10,     3,    11,     5,    10,
       7,     8,    10,     3,    11,     5,    10,     7,     8,    10,
       3,    11,     5,    10,     7,     8,    10,     3,    11,     5,
      10,     7,     8,    10,     3,    11,     5,    10,     7,     8,
      10,     3,    11,     5,    10,     7,     8,    10,     3,    11,
       5,    10,     7,     8,    10,     3,    11,     5,    10,     7,
       8,    10,     3,    11,     5,    10,     7,     8,    10,     3,
      11,     5,    10,     7,     8,    10,     3,    11,     5,    10,
       7,     8,    10,     3,    11,     5,    10,     7,     8,    10,
       3,    11,     5,    10,     7,     8,    10,     3,    11,     5,
      10,     7,     8,    10,     3,    11,     5,    10,     7,     8,
      10,     3,    11,     5,    10,     7,     8,    10,     3,    11,
       5,    10,     7,     8,    10,     3,    11,     5,    10,     7,
       8,    10,     3,    11,     5,    10,     7,     8,    10,     3,
      11,     5,    10,     7,     8,    10,     3,    11,     5,    10,
       7,     8,    10,     3,    11,     5,    10,     7,     8,    10,
       3,    11,     5,    10,     7,     8,    10,     3,    11,     5,
      10,     7,     8,    10,     3,    11,     5,    10,     7,     8,
      10,     3,    11,     5,    10,     7,     8,    10,     3,    11,
       5,    10,     7,     8,    10,     3,    11,     5,    10,     7,
       8,    10,     3,    11,     5,    10,     3,     8,     5,     7,
      11,     8,     7,     3,    11,     5,     7,     3,     8,     5,
       7,    11,     8,     7,     3,    11,     5,     7,     3,     8,
       5,     7,    11,     8,     8,     7,    11,    11,    12,    13,
      14,     8,     7,     7,    11,    12,    13,    14,     8,     7,
       7,    11,    12,    13,    14,     8,     7,     7,    11,    12,
      13,    14,    10,    11,    12,    13,    14,    10,    11,    12,
      13,    14,    10,    11,    12,    13,    14,    10,    11,    12,
      13,    14,    10,    11,    12,    13,    14,    10,    11,    12,
      13,    14,    10,    11,    12,    13,    14,    10,    11,    12,
      13,    14,    10,    11,    12,    13,    14,    10,    11,    12,
      13,    14,    11,    12,    13,    14,     7,     7,    10,    -1,
      -1,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,     7,     7,
       7,     7,     7,     7,    -1,     7,     9,     7,     9,     7,
       9,     7,     9,     7,     9,    -1,     9,     9,     9,     9,
       9,     9
  };

  const unsigned char
  parser::yystos_[] =
  {
       0,   106,     0,    16,    17,   109,   107,     4,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   110,
       4,    18,    19,    20,    21,    22,    23,   108,     7,     7,
       7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
       7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
       7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
       7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
       7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
       7,     7,     7,     7,     7,     7,     7,     7,     3,     5,
       8,    11,   111,   111,     7,     7,     7,     7,     7,     7,
       7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
       7,     5,     5,     5,     3,     5,     6,     6,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,   111,   111,
      11,    12,    13,    14,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,     7,   111,     7,   111,     7,
     111,     7,   111,     7,     7,     7,     7,     7,     7,     7,
       7,     7,     7,     7,   111,     7,     7,   111,     7,     7,
     111,     7,     7,   111,     7,   111,     7,   111,     7,   111,
       7,   111,     7,   111,     7,   111,     7,   111,     7,   111,
       7,     7,   111,     7,   111,     7,   111,     7,   111,     7,
     111,     7,   111,     7,   111,     7,   111,     7,   111,     7,
     111,     7,   111,     7,   111,     7,   111,   111,     7,   111,
     111,     7,   111,     7,   111,   111,   111,     7,   111,     7,
     111,   111,     7,   111,     7,   111,   111,     7,   111,     7,
     111,   111,   111,     9,   111,   111,   111,   111,     8,   111,
       8,   111,     8,   111,   111,   111,     8,   111,     8,   111,
       8,   111,     7,     7,     7,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,     7,     8,     7,     8,     7,     8,     7,
       8,     7,     8,     7,     8,     7,   111,     7,   111,   111,
     111,     7,   111,     7,   111,     7,   111,     7,   111,     7,
     111,     7,     7,     7,   111,     7,     7,   111,     7,     7,
     111,     7,     7,   111,     7,   111,     7,   111,   111,     7,
     111,   111,     7,   111,   111,     7,   111,     7,   111,     7,
     111,     7,   111,     7,   111,     7,   111,     7,   111,     7,
     111,     7,   111,     7,   111,     7,   111,   111,   111,   111,
     111,   111,   111,   111,   111,   111,   111,   111,   111,   111,
     111,   111,   111,   111,   111,   111,   111,   111,   111,     9,
       7,     9,     7,     9,     7,     9,     7,     9,     7,     9,
       7,     9,     9,     9,     9,     9,     9
  };

  const unsigned char
  parser::yyr1_[] =
  {
       0,   105,   106,   106,   106,   107,   107,   108,   108,   108,
     108,   108,   108,   108,   108,   109,   109,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
     110,   110,   110,   111,   111,   111,   111,   111,   111,   111,
     111
  };

  const unsigned char
  parser::yyr2_[] =
  {
       0,     2,     0,     3,     3,     0,     2,     1,     2,     2,
       2,     2,     2,     2,     2,     0,     2,     1,     6,     4,
       6,     4,     6,     4,     6,     4,     6,     4,     6,     4,
       6,     4,     6,     6,     4,     6,     4,     2,     4,     2,
       4,     2,     6,     4,     6,     4,     6,     6,     4,     6,
       6,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     4,     4,     2,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     6,     4,     6,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     6,     4,
       6,     6,     4,     6,     6,     6,     6,     4,     4,     6,
       6,     6,     6,     4,     6,     6,     6,     6,     4,     6,
       6,     6,     6,     4,     4,     2,     2,     2,     2,     7,
       6,     7,     6,     7,     6,     4,     4,     7,     6,     4,
       7,     6,     7,     6,     4,     2,     2,     2,     2,     4,
       4,     1,     1,     3,     3,     3,     3,     2,     3,     1,
       1
  };


#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
  /* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
     First, the terminals, then, starting at \a yyntokens_, nonterminals.  */
  const char*
  const parser::yytname_[] =
  {
  "\"end of file\"", "error", "$undefined", "\"label\"",
  "\"label definition\"", "\"integer\"", "\"string\"", "\"register\"",
  "\"(\"", "\")\"", "\",\"", "EXP_SUB", "EXP_ADD", "EXP_DIV", "EXP_MUL",
  "EXP_UMINUS", "\".text\"", "\".data\"", "\".space\"", "\".byte\"",
  "\".half\"", "\".word\"", "\".ascii\"", "\".asciiz\"", "\"add\"",
  "\"addu\"", "\"addi\"", "\"addiu\"", "\"sub\"", "\"subu\"", "\"neg\"",
  "\"negu\"", "\"abs\"", "\"mul\"", "\"div\"", "\"divu\"", "\"rem\"",
  "\"remu\"", "\"sll\"", "\"sllv\"", "\"sra\"", "\"srav\"", "\"srl\"",
  "\"srlv\"", "\"rol\"", "\"ror\"", "\"and\"", "\"andi\"", "\"or\"",
  "\"ori\"", "\"xor\"", "\"xori\"", "\"nor\"", "\"not\"", "\"seq\"",
  "\"sne\"", "\"sge\"", "\"sgeu\"", "\"sgt\"", "\"sgtu\"", "\"sle\"",
  "\"sleu\"", "\"slt\"", "\"sltu\"", "\"slti\"", "\"sltiu\"", "\"beq\"",
  "\"beqz\"", "\"bne\"", "\"bnez\"", "\"bge\"", "\"bgeu\"", "\"bgez\"",
  "\"bgezal\"", "\"bgt\"", "\"bgtu\"", "\"bgtz\"", "\"ble\"", "\"bleu\"",
  "\"blez\"", "\"blt\"", "\"bltu\"", "\"bltz\"", "\"bltzal\"", "\"j\"",
  "\"jal\"", "\"jr\"", "\"jalr\"", "\"lb\"", "\"lbu\"", "\"lw\"",
  "\"lui\"", "\"li\"", "\"la\"", "\"sb\"", "\"sw\"", "\"move\"",
  "\"mfhi\"", "\"mflo\"", "\"mthi\"", "\"mtlo\"", "\"mfc0\"", "\"mtc0\"",
  "\"syscall\"", "\"nop\"", "$accept", "program", "datas", "data",
  "instructions", "instruction", "exp", 0
  };
#endif

#if YYDEBUG
  const unsigned short int
  parser::yyrline_[] =
  {
       0,   189,   189,   191,   192,   196,   198,   202,   206,   210,
     213,   216,   218,   221,   223,   227,   229,   233,   237,   243,
     248,   253,   257,   263,   268,   273,   277,   282,   286,   291,
     295,   301,   306,   311,   317,   322,   327,   332,   336,   341,
     345,   350,   354,   360,   365,   370,   375,   381,   386,   391,
     397,   402,   408,   413,   419,   424,   429,   433,   439,   444,
     450,   455,   460,   464,   470,   475,   481,   486,   491,   495,
     501,   506,   512,   517,   523,   528,   533,   537,   543,   548,
     553,   557,   563,   568,   573,   577,   582,   586,   592,   597,
     602,   606,   611,   615,   621,   626,   631,   635,   640,   644,
     650,   655,   660,   664,   669,   673,   679,   684,   689,   693,
     699,   704,   709,   713,   719,   724,   729,   733,   739,   744,
     749,   753,   759,   764,   768,   774,   779,   783,   789,   794,
     799,   803,   809,   814,   819,   823,   829,   834,   839,   843,
     849,   854,   859,   863,   868,   872,   877,   881,   886,   890,
     894,   899,   903,   907,   912,   916,   921,   925,   929,   933,
     938,   942,   947,   951,   955,   960,   964,   969,   973,   977,
     982,   986,   991,   995,   999,  1003,  1006,  1009,  1013,  1017,
    1022,  1027,  1032,  1037,  1042,  1047,  1051,  1055,  1060,  1065,
    1069,  1074,  1079,  1084,  1089,  1094,  1098,  1102,  1106,  1110,
    1115,  1120,  1123,  1128,  1129,  1130,  1131,  1132,  1134,  1135,
    1136
  };

  // Print the state stack on the debug stream.
  void
  parser::yystack_print_ ()
  {
    *yycdebug_ << "Stack now";
    for (stack_type::const_iterator
           i = yystack_.begin (),
           i_end = yystack_.end ();
	 i != i_end; ++i)
      *yycdebug_ << ' ' << i->state;
    *yycdebug_ << std::endl;
  }

  // Report on the debug stream that the rule \a yyrule is going to be reduced.
  void
  parser::yy_reduce_print_ (int yyrule)
  {
    unsigned int yylno = yyrline_[yyrule];
    int yynrhs = yyr2_[yyrule];
    /* Print the symbols being reduced, and their result.  */
    *yycdebug_ << "Reducing stack by rule " << yyrule - 1
	       << " (line " << yylno << "):" << std::endl;
    /* The symbols being reduced.  */
    for (int yyi = 0; yyi < yynrhs; yyi++)
      YY_SYMBOL_PRINT ("   $" << yyi + 1 << " =",
                       yystack_[(yynrhs) - (yyi + 1)]);
  }
#endif // YYDEBUG

  // Symbol number corresponding to token number t.
  parser::token_number_type
  parser::yytranslate_ (int t)
  {
    static
    const token_number_type
    translate_table[] =
    {
     0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104
    };
    const unsigned int user_token_number_max_ = 359;
    const token_number_type undef_token_ = 2;

    if (static_cast<int>(t) <= yyeof_)
      return yyeof_;
    else if (static_cast<unsigned int> (t) <= user_token_number_max_)
      return translate_table[t];
    else
      return undef_token_;
  }


} // yy
/* Line 1138 of lalr1.cc  */
#line 3615 "asm-parse.cc"
/* Line 1139 of lalr1.cc  */
#line 1138 "asm-parse.yy"

void
yy::parser::error(const location &l, const std::string &msg)
{
  std::cerr << l << ": " << msg << std::endl;
  exit_set (exit_parse);
}

